Bug 843044 - Xorg coredumps in CloseWellKnownConnections
Xorg coredumps in CloseWellKnownConnections
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 08:12 EDT by Zdenek Kabelac
Modified: 2015-02-17 09:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:22:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2012-07-25 08:12:33 EDT
Description of problem:

I seem to get this coredump out of current Rawhide's xorg server.

(gdb) print ciptr->transptr->Close
$2 = (int (*)(XtransConnInfo)) 0x0

So transptr table seems to miss some initialized members:

(gdb) print *ciptr->transptr
$3 = {TransName = 0x0, flags = 97, nolisten = 0x0, OpenCOTSServer = 0x0, OpenCLTSServer = 0x0, ReopenCOTSServer = 0x6400000001, 
  ReopenCLTSServer = 0x305d810, SetOption = 0x1, CreateListener = 0x6600000005, ResetListener = 0x3061380, Accept = 0xffffffff00000001, BytesReadable = 0x0, 
  Read = 0x30a002f, Write = 0xb5be1, Readv = 0x3156b60, Writev = 0x2f2fd00, Disconnect = 0x0, Close = 0x0, CloseForCloning = 0x2d302d302d2d6465}



Core was generated by `/usr/bin/X :0 vt02 -auth /home/kabi/.serverauth.2405'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000000000000000 in ?? ()
Missing separate debuginfos, use: debuginfo-install audit-libs-2.2.1-2.fc18.x86_64 libXau-1.0.6-4.fc18.x86_64 libXdmcp-1.1.1-1.fc17.x86_64 libfontenc-1.1.1-2.fc18.x86_64 libpciaccess-0.13.1-2.fc18.x86_64 libselinux-2.1.11-4.fc18.x86_64 openssl-libs-1.0.1c-6.fc18.x86_64 zlib-1.2.7-4.fc18.x86_64
(gdb) bt
#0  0x0000000000000000 in ?? ()
#1  0x000000000047a5e3 in _XSERVTransClose (ciptr=0x135f050) at /usr/include/X11/Xtrans/Xtrans.c:902
#2  0x000000000046d27f in CloseWellKnownConnections () at connection.c:515
#3  0x0000000000470259 in AbortServer () at log.c:629
#4  0x0000000000470abd in FatalError (f=f@entry=0x5d3e18 "%s: VT_ACTIVATE failed: %s\n") at log.c:773
#5  0x00000000004b062b in switch_to (vt=2, from=from@entry=0x5d3ea1 "xf86CloseConsole") at lnx_init.c:64
#6  0x00000000004b0ee4 in xf86CloseConsole () at lnx_init.c:295
#7  0x000000000048bdd5 in ddxGiveUp (error=error@entry=EXIT_NO_ERROR) at xf86Init.c:1054
#8  0x00000000004286aa in main (argc=5, argv=0x7fff6e99ca98, envp=<optimized out>) at main.c:369
(gdb) bt full
#0  0x0000000000000000 in ?? ()
No symbol table info available.
#1  0x000000000047a5e3 in _XSERVTransClose (ciptr=0x135f050) at /usr/include/X11/Xtrans/Xtrans.c:902
        ret = <optimized out>
#2  0x000000000046d27f in CloseWellKnownConnections () at connection.c:515
        i = <optimized out>
#3  0x0000000000470259 in AbortServer () at log.c:629
No locals.
#4  0x0000000000470abd in FatalError (f=f@entry=0x5d3e18 "%s: VT_ACTIVATE failed: %s\n") at log.c:773
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff6e99c900, reg_save_area = 0x7fff6e99c840}}
        args2 = {{gp_offset = 8, fp_offset = 48, overflow_arg_area = 0x7fff6e99c900, reg_save_area = 0x7fff6e99c840}}
        beenhere = 1
#5  0x00000000004b062b in switch_to (vt=2, from=from@entry=0x5d3ea1 "xf86CloseConsole") at lnx_init.c:64
        ret = <optimized out>
#6  0x00000000004b0ee4 in xf86CloseConsole () at lnx_init.c:295
        VT = {mode = -1 '\377', waitv = -1 '\377', relsig = -1, acqsig = 0, frsig = 0}
        ret = <optimized out>
#7  0x000000000048bdd5 in ddxGiveUp (error=error@entry=EXIT_NO_ERROR) at xf86Init.c:1054
        i = <optimized out>
#8  0x00000000004286aa in main (argc=5, argv=0x7fff6e99ca98, envp=<optimized out>) at main.c:369
        i = -1
        alwaysCheckForInput = {0, 1}

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.12.99.902-2.20120717.fc18.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2012-07-26 05:14:32 EDT
I've remembered myself what I've been probably doing -  I've started  X session via 'startx' command - and pressed break quite soon after that  - so the X screen might not have been fully initialized at that moment.
Comment 2 Fedora End Of Life 2013-04-03 14:04:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:16:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:22:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.